
import request from "../../request";
import { AxiosPromise } from "axios";
import { ConfigureRequest,ConfigureReply,Empty,AreasReply,TagsReply } from "./types";



 //  获取应用的相关配置信息 
export function Configure(data: ConfigureRequest): AxiosPromise<ConfigureReply> {
    return request({
      url: "/initialize.Data.Configure",
      method: "post",
      data: data,
});
}


 //  系统区域数据 
export function Areas(data: Empty): AxiosPromise<AreasReply> {
    return request({
      url: "/initialize.Data.Areas",
      method: "post",
      data: data,
});
}


 //  系统标签数据 
export function Tags(data: Empty): AxiosPromise<TagsReply> {
    return request({
      url: "/initialize.Data.Tags",
      method: "post",
      data: data,
});
}
