

export interface Crc {
    code?: string; 
}


export interface StatusReply {
    status?: number;  //  状态码 
    identity?: string;  //  标识码 
    message?: string;  // 状态说明 
    timeseq?: number;  //  响应时间序列 
}


export interface CheckForUpdatesRequest {
    app?: string;  //  应用程序名称 <必填> 
    os?: string;  //  操作系统 <必填> 
    arch?: string;  //  构架名称 <必填> 
    version?: string;  //  版本号 <必填> 
}


export interface CheckForUpdatesReply {
    identity?: string;  //  唯一码 
    version?: string;  //  版本号 
    summary?: string;  //  更析说明 
    files?: string;  //  更新文件以及文件hash 
    pubdate?: string;  //  发布时间 
}


export interface Empty {

}


export interface ConfigureRequest {
    app?: string;  //  应用程序名称 <必填> 
    os?: string;  //  操作系统 <必填> 
}


export interface ConfigureReply {
    data?: ConfigureItem[];  //  配置参数列表 
}


export interface ConfigureItem {
    Identity?: string;  // 唯一标识 
    key?: string;  // 配置键 
    value?: string;  // 配置值 
    version?: number;  // 版本号 
}


export interface AreasReply {
    areas?: AreasItem[]; 
}


export interface AreasItem {
    id?: string; 
    pid?: string; 
    deep?: string; 
    name?: string; 
    pinyin_prefix?: string; 
    pinyin?: string; 
    ext_id?: string; 
    ext_name?: string; 
}


export interface TagsReply {
    tags?: TagsItem[]; 
}


export interface TagsItem {
    id?: number; 
    type?: number; 
    key?: string; 
    title?: string; 
    remark?: string; 
    icon?: string; 
}